Gcc [trunk revision 263828] failed to profiledbootstrap on x86_64!

H.J. Lu (Intel64 LTO/FDO) intel64profiled@gnu-mic-1.sc.intel.com
Fri Aug 24 13:34:00 GMT 2018


cd bld; \
 RUNTESTFLAGS="--target_board='unix{-m32,}'" ../src-trunk/configure \
	 --prefix=/usr/9.0.0 --enable-clocale=gnu --with-system-zlib --enable-shared --enable-cet --with-demangler-in-ld --enable-libmpx --with-build-config=bootstrap-lto --disable-werror --with-fpmath=sse 
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking target system type... x86_64-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
    grep "Error " makelog.263828.trunk.x86_64 >> makelog.263828.trunk.x86_64.mail; \
make[7]: *** [/tmp/ccdrKur0.mk:35: /tmp/cc1plus.NpNSV0.ltrans11.ltrans.o] Error 1
make[6]: *** [../../src-trunk/gcc/cp/Make-lang.in:120: cc1plus] Error 1
make[5]: *** [Makefile:4809: all-stagetrain-gcc] Error 2
make[4]: *** [Makefile:23725: stagetrain-bubble] Error 2
make[3]: *** [Makefile:23862: profiledbootstrap] Error 2
make[2]: *** [Makefile:303: profiledbootstrap] Error 2
/export/gnu/import/git/gcc-test-profiled/bld/./prev-gcc/xg++ -B/export/gnu/import/git/gcc-test-profiled/bld/./prev-gcc/ -B/usr/9.0.0/x86_64-pc-linux-gnu/bin/ -nostdinc++ -B/export/gnu/import/git/gcc-test-profiled/bld/prev-x86_64-pc-linux-gnu/libstdc++-v3/src/.libs -B/export/gnu/import/git/gcc-test-profiled/bld/prev-x86_64-pc-linux-gnu/libstdc++-v3/libsupc++/.libs  -I/export/gnu/import/git/gcc-test-profiled/bld/prev-x86_64-pc-linux-gnu/libstdc++-v3/include/x86_64-pc-linux-gnu  -I/export/gnu/import/git/gcc-test-profiled/bld/prev-x86_64-pc-linux-gnu/libstdc++-v3/include  -I/export/gnu/import/git/gcc-test-profiled/src-trunk/libstdc++-v3/libsupc++ -L/export/gnu/import/git/gcc-test-profiled/bld/prev-x86_64-pc-linux-gnu/libstdc++-v3/src/.libs -L/export/gnu/import/git/gcc-test-profiled/bld/prev-x86_64-pc-linux-gnu/libstdc++-v3/libsupc++/.libs -no-pie   -g -O2 -flto=jobserver -frandom-seed=1 -flto=jobserver -frandom-seed=1 -DIN_GCC     -fno-exceptions -fno-rtti -fasynchronous-unwind-tables -W -Wall -Wno-narrowing -Wwrite-strings -Wcast-qual -Wmissing-format-attribute -Woverloaded-virtual -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings -fno-common  -DHAVE_CONFIG_H -static-libstdc++ -static-libgcc  -o cc1 c/c-lang.o c-family/stub-objc.o attribs.o c/c-errors.o c/c-decl.o c/c-typeck.o c/c-convert.o c/c-aux-info.o c/c-objc-common.o c/c-parser.o c/c-fold.o c/gimple-parser.o c-family/c-common.o c-family/c-cppbuiltin.o c-family/c-dump.o c-family/c-format.o c-family/c-gimplify.o c-family/c-indentation.o c-family/c-lex.o c-family/c-omp.o c-family/c-opts.o c-family/c-pch.o c-family/c-ppoutput.o c-family/c-pragma.o c-family/c-pretty-print.o c-family/c-semantics.o c-family/c-ada-spec.o c-family/c-ubsan.o c-family/known-headers.o c-family/c-attribs.o c-family/c-warn.o c-family/c-spellcheck.o i386-c.o glibc-c.o \
  cc1-checksum.o libbackend.a main.o libcommon-target.a libcommon.a ../libcpp/libcpp.a ../libdecnumber/libdecnumber.a libcommon.a ../libcpp/libcpp.a   ../libbacktrace/.libs/libbacktrace.a ../libiberty/libiberty.a ../libdecnumber/libdecnumber.a  -lisl -lmpc -lmpfr -lgmp -rdynamic -ldl  -lz
echo | /export/gnu/import/git/gcc-test-profiled/bld/./gcc/xgcc -B/export/gnu/import/git/gcc-test-profiled/bld/./gcc/ -E -dM - | \
  sed -n -e 's/^#define \([^_][a-zA-Z0-9_]*\).*/\1/p' \
	 -e 's/^#define \(_[^_A-Z][a-zA-Z0-9_]*\).*/\1/p' | \
  sort -u > tmp-macro_list
/bin/sh ../../src-trunk/gcc/../move-if-change tmp-macro_list macro_list
echo timestamp > s-macro_list
rm -rf include-fixed; mkdir include-fixed
chmod a+rx include-fixed
if [ -d ../prev-gcc ]; then \
  cd ../prev-gcc && \
  make real-install-headers-tar DESTDIR=`pwd`/../gcc/ \
    libsubdir=. ; \
else \
  set -e; for ml in `cat fixinc_list`; do \
    sysroot_headers_suffix=`echo ${ml} | sed -e 's/;.*$//'`; \
    multi_dir=`echo ${ml} | sed -e 's/^[^;]*;//'`; \
    fix_dir=include-fixed${multi_dir}; \
    if ! false && test ! -d `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`; then \
      echo The directory that should contain system headers does not exist: >&2 ; \
      echo "  `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`" >&2 ; \
      tooldir_sysinc=`echo "/usr/9.0.0/lib/gcc/x86_64-pc-linux-gnu/9.0.0/../../../../x86_64-pc-linux-gnu/sys-include" | sed -e :a -e "s,[^/]*/\.\.\/,," -e ta`; \
      if test "x`echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`" = "x${tooldir_sysinc}"; \
      then sleep 1; else exit 1; fi; \
    fi; \
    /bin/sh ../../src-trunk/gcc/../mkinstalldirs ${fix_dir}; \
    chmod a+rx ${fix_dir} || true; \
    (TARGET_MACHINE='x86_64-pc-linux-gnu'; srcdir=`cd ../../src-trunk/gcc; ${PWDCMD-pwd}`; \
      SHELL='/bin/sh'; MACRO_LIST=`${PWDCMD-pwd}`/macro_list ; \
      gcc_dir=`${PWDCMD-pwd}` ; \
      export TARGET_MACHINE srcdir SHELL MACRO_LIST && \
      cd ../build-x86_64-pc-linux-gnu/fixincludes && \
      /bin/sh ./fixinc.sh "${gcc_dir}/${fix_dir}" \
        `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`  ); \
    rm -f ${fix_dir}/syslimits.h; \
    if [ -f ${fix_dir}/limits.h ]; then \
      mv ${fix_dir}/limits.h ${fix_dir}/syslimits.h; \
    else \
      cp ../../src-trunk/gcc/gsyslimits.h ${fix_dir}/syslimits.h; \
    fi; \
    chmod a+r ${fix_dir}/syslimits.h; \
  done; \
fi
make[7]: Entering directory '/export/gnu/import/git/gcc-test-profiled/bld/prev-gcc'
In function ‘gimple_simplify_4’:
lto1: internal compiler error: in linemap_check_ordinary, at libcpp/include/line-map.h:587
0x5e37af ???
	../../src-trunk/libcpp/include/line-map.h:587
0x1d650ac ???
	../../src-trunk/gcc/lto-streamer-in.c:182
0x1d6657f ???
	../../src-trunk/gcc/lto-streamer-in.c:304
0xbc9bf8 ???
	../../src-trunk/gcc/gimple-streamer-in.c:111
0x91db37 lto_read_body_or_constructor(lto_file_decl_data*, symtab_node*, char const*, lto_section_type) [clone .isra.95] [clone .constprop.697]
	../../src-trunk/gcc/lto-streamer-in.c:1092
0x226a05d ???
	../../src-trunk/gcc/lto-streamer-in.c:1343
0x22757e0 ???
	../../src-trunk/gcc/cgraphunit.c:2091
0x228689b ???
	../../src-trunk/gcc/cgraphunit.c:2259
0x23b4717 ???
	../../src-trunk/gcc/lto/lto.c:3428
0x1abe109 ???
	../../src-trunk/gcc/toplev.c:455
0x1ac145f ???
	../../src-trunk/gcc/toplev.c:2170
0x90651a ???
	../../src-trunk/gcc/main.c:39
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <https://gcc.gnu.org/bugs/> for instructions.
make[7]: *** [/tmp/ccdrKur0.mk:35: /tmp/cc1plus.NpNSV0.ltrans11.ltrans.o] Error 1
make[7]: *** Waiting for unfinished jobs....
lto-wrapper: fatal error: make returned 2 exit status
compilation terminated.
/usr/local/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[6]: *** [../../src-trunk/gcc/cp/Make-lang.in:120: cc1plus] Error 1
make[6]: *** Waiting for unfinished jobs....
(cd `${PWDCMD-pwd}`/include-fixed ; \
 tar -cf - .; exit 0) | (cd /export/gnu/import/git/gcc-test-profiled/bld/prev-gcc/../gcc/./include-fixed; tar xpf - )
make[7]: Leaving directory '/export/gnu/import/git/gcc-test-profiled/bld/prev-gcc'
echo timestamp > stmp-fixinc
rm fsf-funding.pod gcov.pod gpl.pod cpp.pod gfdl.pod gfortran.pod gcc.pod gcov-dump.pod gcov-tool.pod
make[6]: Leaving directory '/export/gnu/import/git/gcc-test-profiled/bld/gcc'
make[5]: *** [Makefile:4809: all-stagetrain-gcc] Error 2
make[5]: Leaving directory '/export/gnu/import/git/gcc-test-profiled/bld'
make[4]: *** [Makefile:23725: stagetrain-bubble] Error 2
make[4]: Leaving directory '/export/gnu/import/git/gcc-test-profiled/bld'
make[3]: *** [Makefile:23862: profiledbootstrap] Error 2
make[3]: Leaving directory '/export/gnu/import/git/gcc-test-profiled/bld'
Command exited with non-zero status 2
101050.95user 1073.37system 4:38:13elapsed 611%CPU (0avgtext+0avgdata 1178176maxresident)k
30673816inputs+94181416outputs (192499major+205011463minor)pagefaults 0swaps
make[2]: *** [Makefile:303: profiledbootstrap] Error 2
make[2]: Leaving directory '/export/gnu/import/git/gcc-test-profiled'



More information about the Gcc-regression mailing list